(* $Id: c_pack.mli,v 1.3 2006/05/12 00:01:42 deraugla Exp $ *)

open Keysym;
open Rtdecl;

type pack_event = [ PackEvKeyPress of modified keysym ];

(*** Pack widget builder *)

type pack_args = (orientation * list widget_desc);
type pack_event_handler = widget -> pack_event -> unit;

value pack_desc :
  list attribute -> pack_args -> pack_event_handler -> widget_desc;

value pack_border : ref int;
value pack_band : ref int;
value pack_inter : ref int;
